import type { SceneController, SceneType } from "../base"
import type { ChoiceSceneDefinition } from "../../../shared/script/types"
import PlayerView from "./PlayerView.vue"
import type { ChoiceSceneEvent } from "../../../shared/scene-types/choice"
import DuoView from "./DuoView.vue"

export const ChoiceSceneType: SceneType<ChoiceSceneDefinition, ChoiceSceneController> = {
    id: "choice",
    playerView: PlayerView,
    duoView: DuoView,
    createController(definition: ChoiceSceneDefinition): ChoiceSceneController {
        return {
            handleEvent(event: ChoiceSceneEvent) {

            }
        }
    }
}

export interface ChoiceSceneController extends SceneController {

}