import type { SceneController, SceneType } from "../base"
import type { TextSceneDefinition } from "../../../shared/script/types"
import type { TextSceneEvent } from "../../../shared/scene-types/text"
import PlayerView from "./PlayerView.vue"
import DuoView from "./DuoView.vue"

export const TextSceneType: SceneType<TextSceneDefinition, TextSceneController> = {
    id: "text",
    playerView: PlayerView,
    duoView: DuoView,
    createController(definition: TextSceneDefinition): TextSceneController {
        return {
            handleEvent(event: TextSceneEvent) {

            }
        }
    }
}

export interface TextSceneController extends SceneController {

}